k_conv1d {keras} | R Documentation

## 1D convolution.

### Description

1D convolution.

### Usage

    k_conv1d(x, kernel, strides = 1, padding = "valid",
      data_format = NULL, dilation_rate = 1)

### Arguments

`x` | Tensor or variable.
`kernel` | kernel tensor.
`strides` | stride integer.
`padding` | string, `"same"`, `"causal"` or `"valid"`.
`data_format` | string, `"channels_last"` or `"channels_first"`.
`dilation_rate` | integer dilate rate.

### Value

A tensor, result of 1D convolution.

### Keras Backend

This function is part of a set of Keras backend functions that enable lower level access to the core operations of the backend tensor engine (e.g. TensorFlow, CNTK, Theano, etc.).

You can see a list of all available backend functions here: https://keras.rstudio.com/articles/backend.html#backend-functions.

[Package keras version 2.2.4 Index]